import { VerificationStatus } from '../constants';
import { Artifact, Logger, Options } from '../types';
export declare abstract class AbstractVerifier {
    options: Options;
    abstract name: string;
    abstract getContractUrl(address: string): string | undefined;
    abstract verifyContract(artifact: Artifact): Promise<VerificationStatus>;
    abstract verifyProxyContract(proxyArtifact: Artifact, implementationName: string, implementationAddress: string): Promise<VerificationStatus>;
    logger: Logger;
    constructor(options: Options);
    verifyAll(contractNameAddressPairs: string[]): Promise<void>;
}
