import { VerificationStatus } from '../constants';
import { Artifact, Options } from '../types';
import { AbstractVerifier } from './AbstractVerifier';
import { Verifier } from './Verifier';
export declare class EtherscanVerifier extends AbstractVerifier implements Verifier {
    name: string;
    constructor(options: Options);
    getContractUrl(address: string): string;
    verifyAll(contractNameAddressPairs: string[]): Promise<void>;
    verifyContract(artifact: Artifact): Promise<VerificationStatus>;
    verifyProxyContract(proxyArtifact: Artifact, implementationName: string, implementationAddress: string): Promise<VerificationStatus>;
    private sendVerifyRequest;
    private fetchConstructorValues;
    private verificationStatus;
    private sendProxyVerifyRequest;
    private verifyProxy;
    private checkBoundaries;
}
