import { VerificationStatus } from '../constants';
import { Artifact, Options } from '../types';
import { AbstractVerifier } from './AbstractVerifier';
import { Verifier } from './Verifier';
export declare class SourcifyVerifier extends AbstractVerifier implements Verifier {
    name: string;
    private supportedChainIds;
    constructor(options: Options);
    getContractUrl(address: string): string;
    verifyAll(contractNameAddressPairs: string[]): Promise<void>;
    verifyContract(artifact: Artifact): Promise<VerificationStatus>;
    verifyProxyContract(proxyArtifact: Artifact, implementationName: string, implementationAddress: string): Promise<VerificationStatus>;
    private sendVerifyRequest;
    private checkBoundaries;
    private isSupportedChain;
    private getSupportedChains;
}
